<div class="flex items-center mb-5">
    <span class=" mr-5 whitespace-nowrap">{{ 'MZ_MONSTER_ZONE' | translate }}</span>
    <app-input name="zoneFilter" class="w-full" cssClasses="w-full" #monsterNameInput></app-input>
</div>
<div class="flex flex-col lg:flex-row">
    <app-button [text]="'SELECT_ALL' | translate" class="w-full xl:w-1/2 mb-5" cssClass="w-full h-full" (click)="selectAll()"></app-button>
    <app-button [text]="'DESELECT_ALL' | translate" class="w-full xl:w-1/2 mb-5" cssClass="w-full h-full" (click)="deSelectAll()"></app-button>
</div>
<div class="mb-5">
    <h4 class="mb-5 text-xl text-center">{{ 'MONSTERS' | translate }} ({{ monsterFilterService.nbFiltered }})</h4>
    <app-filtered-monster *ngFor="let monster of monsterFilterService.filteredMonsters" [monster]="monster" class="list-item"></app-filtered-monster>
</div>